System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

The interface allows an object to provide type information about itself. Typically, this interface is used when an object needs dynamic type information. In contrast, the class provides static type information that is obtained from metadata.

For example, is used in the dnprdnshort to provide type information for COM objects. COM objects do not support properties or attributes. Therefore, the dnprdnshort uses to implement properties and attributes for COM objects.

To provide dynamic custom type information, a class can implement or derive from the class, which provides a simple implementation of this interface.

There is no design-time support for data binding to objects that implement the interface. In addition, when binding to a runtime instance of , the public properties of the underlying type are ignored.

Provides an interface that supplies dynamic custom type information for an object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection

  The return value is never null.

  Implementers can return an empty if no custom attributes are specified for an object.

  Returns a collection of custom attributes for this instance of a component.

  An containing the attributes for this object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  If null is returned, use the type name from the method.

  Returns the class name of this instance of a component.

  The class name of the object, or null if the class does not have a name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  If null is returned, use the default name.

  Returns the name of this instance of a component.

  The name of the object, or null if the object does not have a name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter

  If null is returned, use the default .

  Returns a type converter for this instance of a component.

  A that is the converter for this object, or null if there is no for this object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor To be added

  Returns the default event for this instance of a component.

  An that represents the default event for this object, or null if this object does not have events.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor To be added

  Returns the default property for this instance of a component.

  A that represents the default property for this object, or null if this object does not have properties.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The type of the parameter is usually , but you can also use other types (for example, and ).

  Returns an editor of the specified type for this instance of a component.

  An of the specified type that is the editor for this object, or null if the editor cannot be found.

  A that represents the editor for this object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection

  The events for this instance can differ from the set of events that the class provides. For example, if the component is site-based, the site can add or remove additional events.

  Implementors can return if no properties are specified. This method should never return null.

  Returns the events for this instance of a component.

  An that represents the events for this component instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection `` To be added: an object of type 'Attribute []'

  The events for this instance can differ from the set of events that the class provides. For example, if the component is site-based, the site can add or remove additional events.

  If an is specified in the array and the event does not have an instance of the class for that attribute, the returned array includes the event if the is the default event.

  Returns the events for this instance of a component using the specified attribute array as a filter.

  An that represents the filtered events for this component instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection

  The properties for this instance can differ from the set of properties that the class provides. For example, if the component is sited, the site can add or remove additional properties.

  Implementers can return if no properties are specified. This method should never return null.

  Returns the properties for this instance of a component.

  A that represents the properties for this component instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added: an object of type 'Attribute []'

  The properties for this instance can differ from the set of properties that the class provides. For example, if the component is sited, the site can add or remove additional properties.

  If an is specified in the array and the property does not have an instance of the class for that attribute, the returned collection will include the property if the is the default property.

  For filtering rules, see .

  Returns the properties for this instance of a component using the attribute array as a filter.

  A that represents the filtered properties for this component instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method retrieves the object that contains the property member that is described by parameter. Typically, this object is required for the and methods.

  This method should return an object that you can use as follows:

  `pd.GetValue(GetPropertyOwner(myPd));`

  If myPd is null, your implementation of the interface should return the default object (typically, the base object that exposes the properties and attributes).

  Returns an object that contains the property described by the specified property descriptor.

  An that represents the owner of the specified property.

  A that represents the property whose owner is to be found.